﻿using Correo.Abstractions;
using Correo.SendGrid.Models;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;

namespace Correo.SendGrid
{
    public static class DependencyInjectionExtensions
    {
        public static void AddSendGridService(this IServiceCollection services, IConfigurationSection configuration)
        {
            services.Configure<SendGridOptions>(configuration);
            services.AddTransient<IMailer, SendGridService>();
        }
    }
}